//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
// $Id: MyBremsModel.cc,v 1.5 2007/10/01 15:19:57 maire Exp $
// GEANT4 tag $Name:  $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

#include "MyBremsModel.hh"
#include "DetectorConstruction.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

using namespace std;

MyBremsModel::MyBremsModel(DetectorConstruction* det,
                                             const G4ParticleDefinition*,
                                             const G4String& nam)
  :G4eBremsstrahlungModel(0,nam), detector(det)
{
  CrossSectionFactor = 1.; 
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

MyBremsModel::~MyBremsModel()
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

G4double MyBremsModel::CrossSectionPerVolume(
                                       const G4Material* mat,
                                       const G4ParticleDefinition* part,
                                             G4double kinEnergy,
                                             G4double, G4double)
{
  G4double CrossSection = 
  G4VEmModel::CrossSectionPerVolume(mat,part,kinEnergy);

  return CrossSection*CrossSectionFactor;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

G4double MyBremsModel::ComputeDEDXPerVolume(
                                       const G4Material* mat,
                                       const G4ParticleDefinition* part,
                                             G4double kinEnergy,
                                             G4double cutEnergy)
{
  G4double DEDX = 
  //G4VEmModel::ComputeDEDXPerVolume(mat,part,kinEnergy,cutEnergy);
  G4eBremsstrahlungModel::ComputeDEDXPerVolume(mat,part,kinEnergy,cutEnergy);

  return DEDX*CrossSectionFactor;
}
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......


